DbMultipleRecnoDataIterator (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbMultipleRecnoDataIterator,DbMultipleRecnoDataIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbMultipleRecnoDataIterator

    java.lang.Object
      |
      +--com.sleepycat.db.DbMultipleIterator
            |
            +--com.sleepycat.db.DbMultipleRecnoDataIterator

public class DbMultipleRecnoDataIterator
extends com.sleepycat.db.DbMultipleIterator

This class is used to iterate through data returned using the `Db.DB_MULTIPLE_KEY` flag from a database belonging to the Recno or Queue access methods.

Constructor Summary
`DbMultipleRecnoDataIterator(Dbt dbt)` The constructor takes the data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE_KEY` flag.

Method Summary
`boolean` | `next(Dbt key, Dbt data)` The DbMultipleRecnoDataIterator.next method takes two `Dbt`s, one for a key and one for a data item, that will each be filled in with a reference to a buffer, a size, and an offset that together yield the next key and data item in the original bulk retrieval buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbMultipleRecnoDataIterator

    public DbMultipleRecnoDataIterator(Dbt dbt)

  The constructor takes the data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE_KEY` flag.

Parameters:
  `dbt` - a data `Dbt` returned by the call to `Db.get` or `Dbc.get` that used the `Db.DB_MULTIPLE_KEY` flag.

Method Detail

### next

    public boolean next(Dbt key,
                        Dbt data)

  The DbMultipleRecnoDataIterator.next method takes two `Dbt`s, one for a key and one for a data item, that will each be filled in with a reference to a buffer, a size, and an offset that together yield the next key and data item in the original bulk retrieval buffer. The record number contained in the key item should be accessed using the `Dbt.getRecordNumber` method.

  Parameters:
    `key` - The key parameter will be filled in with a reference to a buffer, a size, and an offset that yields the next key item in the original bulk retrieval buffer. The record number contained in the key item should be accessed using the `Dbt.getRecordNumber` method.
    `data` - The data parameter will be filled in with a reference to a buffer, a size, and an offset that yields the next data item in the original bulk retrieval buffer.
  Returns:
    The DbMultipleRecnoDataIterator.next method returns false if no more data are available, and true otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.